%define upstream_name    Net-LDAP-Server-Test
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test Net::LDAP code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Net::LDAP::Server) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Now you can test your Net::LDAP code without having a real LDAP server
available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 370721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 315196
- update to 0.16

* Wed Sep 26 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 298080
- update to 0.15

* Fri Aug 31 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 286343
- update to 0.14

* Tue Jun 05 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 255188
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 213101
- update to 0.12

* Wed Jun 15 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 107209
- update to 0.11

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 36438
- mageia rebuild
- imported package perl-Net-LDAP-Server-Test

